#

include(`dict.h')
include(`KERcalls.h')

/*
 *       SCCS File Type - Emulator Source File
 *
 *       What identification string
 */
static char *_S_K28	"@(#)EM_K28.c	3.1";
	/****************************************************************/
	/*
	 *      K_signal
	 */


/*
 *      K_signal (
 *          1   procSeid, : seid       : long     (* process SEID *)
 *          2  &sigMsg    : msg_struct : struct   (* signal value *)
 *              )
 */

K_signal( PprocSeid, PsigMsgP)
	seid            PprocSeid;
	msg_struct      *PsigMsgP;
{
	struct  {       /* Ksignal_param  */
			seid            p_seid; /* const */
			msg_struct      sig_msg;        /*const*/
		}pb;


	pb.p_seid = PprocSeid;
	st_copy(PsigMsgP, &pb.sig_msg, sizeof(msg_struct) );

	return( EMT28(&pb) );
}


